%%
%% getstart.tex -- Flight Gear documentation: The FlightGear Manual
%% Chapter file
%%
%% Written by Michael Basler, started September 1998.
%%
%% Copyright (C) 2002 Michael Basler
%%
%%
%% This program is free software; you can redistribute it and/or
%% modify it under the terms of the GNU General Public License as
%% published by the Free Software Foundation; either version 2 of the
%% License, or (at your option) any later version.
%%
%% This program is distributed in the hope that it will be useful, but
%% WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%% General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program; if not, write to the Free Software
%% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% $Id: landing.tex,v 0.6 2002/09/09 michael
%% (Log is kept at end of this file)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\chapter{Landing: Some further thoughts before leaving the plane}
}{}
\iflanguage{french}{
\chapter{Atterrissage : quelques r\'{e}flexions compl\'{e}mentaires avant de quitter l'avion}
}{}
\label{landing}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\markboth{\thechapter.\hspace*{1mm}
LANDING}{\thesection\hspace*{1mm} THOSE, WHO DID THE WORK}
}{}
\iflanguage{french}{
\markboth{\thechapter.\hspace*{1mm}
ATTERRISSAGE}{\thesection\hspace*{1mm} CEUX QUI ONT TRAVAILLE}
}{}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\section{A Sketch on the \Index{History} of \FlightGear{}}
}{}
\iflanguage{french}{
\section{Une \'{e}bauche de l'\Index{histoire} de \FlightGear{}}
}{}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\iflanguage{english}{
History may be a boring subject. However, from time to time there are people asking for the history of \FlightGear{}. As a result, we'll give a short outline.

The \FlightGear{} project goes back to a discussion among a group of net citizens in 1996 resulting in a proposal written by David Murr\index{Murr, David} who, unfortunately, dropped out of the project (as well as the net) later. The original \Index{proposal} is still available
from the \FlightGear{} web site and can be found under
}{}
\iflanguage{french}{
L'histoire peut rapidement devenir un sujet barbant. Cependant, de temps en temps il y a des personnes qui s'int\'{e}ressent \`{a} l'histoire de \FlightGear{}. En cons\'{e}quence, nous allons en dresser un aper\c{c}u rapide.

A l'origine, le projet \FlightGear{} remonte \`{a} une discussion entre un groupe de citoyens du net en 1996 qui a eu pour r\'{e}sultat l'\'{e}criture d'une proposition par David Murr\index{Murr, David} qui, malheureusement, a quitt\'{e} le projet (ainsi que le net) plus tard. La \Index{proposition} d'origine est toujours disponible
\`{a} partir du site Internet de \FlightGear{} \`{a} l'adresse :
}{}


 \medskip

\web{http://www.flightgear.org/proposal-3.0.1}.
 \medskip

\noindent
\iflanguage{english}{
Although the names of the people and several of the details have changed over time,
the spirit of that proposal has clearly been retained up to the present time.

Actual coding started in the summer of 1996 and by the end of that year essential
graphics routines were completed. At that time, programming was mainly performed and
coordinated by Eric Korpela\index{Korpela, Eric} from Berkeley University. Early code ran
under \Index{Linux} as well as under \Index{DOS}, \Index{OS/2}, \Index{Windows 95/NT},
and \Index{Sun-OS}. This was found to be quite an ambitious project as it involved, among
other things, writing all the \Index{graphics routines} in a system-independent way
entirely from scratch.

Development slowed and finally stopped in the beginning of 1997 when Eric was completing
his thesis. At this point, the project seemed to be dead and traffic on the mailing list
went down to nearly nothing.

It was Curt Olson\index{Olson, Curt} from the University of Minnesota who re-launched the
project in the middle of 1997. His idea was as simple as it was powerful: Why invent the
wheel a second time? There have been several free flight simulators\index{Flight
simulator!free} available running on \Index{workstation}s under different flavors of
\Index{UNIX}. One of these, \Index{LaRCsim} (developed by Bruce Jackson\index{Jackson,
Bruce} from NASA), seemed to be well suited to the approach. Curt took this one apart and
re-wrote several of the routines such as to make them build as well as run on the
intended target platforms. The key idea in doing so was to exploit a system-independent
graphics platform: \Index{OpenGL}.

In addition, a clever decision on the selection of the basic \Index{scenery}
data was made in the very first version. \FlightGear{} scenery is created
based on satellite data published by the \Index{U.\,S. Geological Survey}.
These terrain data are available from
}{}
\iflanguage{french}{
Bien que les noms des personnes et des d\'{e}tails aient \'{e}volu\'{e} au fil du temps,
l'esprit de cette proposition a clairement \'{e}t\'{e} maintenu au fil du temps jusqu'\`{a}
aujourd'hui.

La v\'{e}ritable \'{e}criture du code a d\'{e}but\'{e} \`{a} l'\'{e}t\'{e} 1996 et, d\`{e}s
la fin de l'ann\'{e}e, l'essentiel des routines graphiques \'{e}tait \'{e}crit. A cette \'{e}poque,
la programmation \'{e}tait essentiellement r\'{e}alis\'{e}e et coordonn\'{e}e par Eric Korpela\index{Korpela, Eric}
de l'universit\'{e} de Berkeley. Le tout premier code fonctionnait sous \Index{Linux} ainsi que sous \Index{DOS},
\Index{OS/2}, \Index{Windows 95/NT}, et \Index{Sun-OS}. C'\'{e}tait un projet assez ambitieux car il n\'{e}cessitait
notamment d'\'{e}crire, en partant de rien, toutes les \Index{routines graphiques} d'une mani\`{e}re ind\'{e}pendante
du syst\`{e}me.

Le d\'{e}veloppement ralentit pour finalement s'arr\^{e}ter au d\'{e}but de l'ann\'{e}e 1997 lorsque Eric
termina sa th\`{e}se. A ce moment, le projet semblait mort et le trafic sur la liste de diffusion \'{e}tait
quasiment r\'{e}duit \`{a} n\'{e}ant.

Curt Olson\index{Olson, Curt}, de l'Universit\'{e} du Minnesota, relan\c{c}a le projet au milieu de l'ann\'{e}
1997. Son id\'{e}e \'{e}tait aussi simple que puissante : pourquoi r\'{e}inventer la route une seconde fois ?
Il y avait d\'{e}j\`{a} eu plusieurs simulateurs de vol libres\index{Simulateur de vol!libre} disponibles sur
des \Index{stations de travail} sous diff\'{e}rentes moutures d'\Index{UNIX}. L'un de ceux-\c{c}i, \Index{LaRCsim}
(d\'{e}velopp\'{e} par Bruce Jackson\index{Jackson,Bruce} de la NASA), semblait \^{e}tre particuli\`{e}rement
appropri\'{e} \`{a} cette approche. Curt s'y int\'{e}ressa et en r\'{e}-\'{e}crit plusieurs routines afin de les
faire compiler et fonctionner sur les plate-formes cibl\'{e}es. Ce-faisant, l'id\'{e}e ma\^{i}tresse \'{e}tait d'exploiter
une plate-forme graphique ind\'{e}pendante du syst\`{e}me : \Index{OpenGL}.

En compl\'{e}ment, la (bonne) d\'{e}cision du choix des donn\'{e}es des \Index{sc\`{e}nes} de base a \'{e}t\'{e} prise
d\`{e}s la toute premi\`{e}re version. Les sc\`{e}nes de \FlightGear{} sont g\'{e}n\'{e}r\'{e}es en se basant sur les
donn\'{e}es satellite publi\'{e}es par le \Index{U.\,S. Geological Survey}.
Ces donn\'{e}es de terrain sont disponibles respectivement \`{a} partir de, respectivement :
}{}

 \medskip

 \href{http://edc.usgs.gov/geodata/}{http://edc.usgs.gov/geodata/}
 \medskip

\noindent
 \iflanguage{english}{
 for the U.S., and
 }{}
 \iflanguage{french}{
 pour les Etats-Unis et
 }{}
  \medskip

 \href{http://edcdaac.usgs.gov/gtopo30/gtopo30.html}{http://edcdaac.usgs.gov/gtopo30/gtopo30.html},
  \medskip

\noindent
\iflanguage{english}{
 resp., for other countries. Those freely accessible scenery data, in
 conjunction with scenery building tools included with
 \FlightGear{}, are an important feature enabling anyone to
  create his or her own scenery.

This new \FlightGear{} code - still largely being based on the original \Index{LaRCsim}
code - was released in July 1997. From that moment the project gained momentum again.
Here are some milestones in the more recent development history.
}{}
\iflanguage{french}{
 pour les autres pays. Ces donn\'{e}es de sc\`{e}nes accessibles librement, en conjonction
 avec les outils de construction des sc\`{e}nes inclus dans \FlightGear{}, sont des
 fonctionnalit\'{e}s importantes permettant \`{a} chacun(e) de cr\'{e}er ses propres sc\`{e}nes.

Ce nouveau code de \FlightGear{} - toujours largement bas\'{e} sur le code original de \Index{LaRCsim}
- a \'{e}t\'{e} mis \`{a} disposition en juillet 1997. A partir de cet instant, le projet reprit de
l'inertie. Voi\c{c}i les principales \'{e}tapes dans l'histoire r\'{e}cente du d\'{e}veloppement.
}{}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% List of Development %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%Scenery%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\subsection{Scenery}\index{history!scenery}
}{}
\iflanguage{french}{
\subsection{Sc\`{e}nes}\index{histoire!sc\`{e}nes}
}{}
\begin{itemize}

\iflanguage{english}{
\item Texture support\index{textures} was added by Curt
Olson\index{Olson, Curt} in spring 1998. This marked a significant
improvement in terms of reality. Some high-quality \Index{textures} were
submitted by Eric Mitchell\index{Mitchell, Eric} for the \FlightGear{}
project. Another set of high-quality textures was added by Erik
Hofman\index{Hofman, Erik} ever since.
}{}
\iflanguage{french}{
\item La prise en charge des textures\index{textures} a \'{e}t\'{e} ajout\'{e}
par Curt Olson\index{Olson, Curt} \`{a} l'automne 1998. Ceci a marqu\'{e} un tournant
important en termes de r\'{e}alisme. Quelques \Index{textures} de haute qualit\'{e} pour
le projet \FlightGear{} ont \'{e}t\'{e} ajout\'{e}es par Eric Mitchell\index{Mitchell, Eric}.
Depuis, d'autres textures de haute qualit\'{e} ont \'{e}t\'{e} ajout\'{e}es par Erik Hofman\index{Hofman, Erik}.
}{}

\iflanguage{english}{
 \item After improving the \Index{scenery} and \Index{texture} support frame rate\index{frame rate} dropped down to a point where \FlightGear{} became unflyable in spring 1998. This issue was resolved by exploiting hardware \Index{OpenGL} support, which became available at that time, and implementing \Index{view frustrum culling} (a rendering technique that ignores the
 part of the scenery not visible in a scene), done by Curt Olson\index{Olson, Curt}.
 With respect to \Index{frame rate} one should keep in mind that the code, at present, is in no way optimized, which leaves room for further improvements.
 \item In September 1998 Curt Olson\index{Olson, Curt} succeeded in creating a complete terrain model for the U.S. The scenery is available worldwide now, via a clickable map \index{map, clickable} at:
}{}
\iflanguage{french}{
 \item Apr\`{e}s avoir am\'{e}lior\'{e} la prise en charge des \Index{sc\`{e}nes} et des \Index{textures}, le \index{taux de rafraichissement} de l'image diminua \`{a} tel point qu'il \'{e}tait impossible de faire voler un avion dans \FlightGear{} au printemps 1998. Cette difficult\'{e} fut contourn\'{e}e en exploitant la prise en charge mat\'{e}rielle d'\Index{OpenGL}, qui devint disponible \`{a} cette date, et par l'impl\'{e}mentation de la ''\Index{vue frustrum culling}'', r\'{e}alis\'{e}e par Curt Olson\index{Olson, Curt}, (une technique de rendu qui ignore la
 partie du paysage non visible d'une sc\`{e}ne).
 En ce qui concerne le \Index{taux de rafra\^{i}chissement}, il convient de se rappeler que le code, tel qu'il est aujourd'hui, n'est en aucun cas optimis\'{e}, ce qui laisse des possibilit\'{e}s pour de futures am\'{e}liorations.
 \item En september 1998, Curt Olson\index{Olson, Curt} parvint \`{a} cr\'{e}er un mod\`{e}le de terrain complet pour les Etats-Unis. Les sc\`{e}nes sont aujourd'hui mondiales, et disponibles via une carte cliquable \index{carte, cliquable}, situ\'{e}e \`{a} l'adresse :
}{}

 \medskip
\web{http://www.flightgear.org/download/scenery/}.
 \medskip

\iflanguage{english}{
\item Scenery\index{scenery} was further improved by adding \Index{geographic features} including lakes, rivers, and coastlines later. Textured runways were added by Dave Cornish\index{Cornish, Dave} in spring 2001. Light textures\index{light textures} add to the visual impression at night. To cope with the constant growth of scenery data, a binary scenery format was introduced in spring 2001. Runway lighting\index{runway lighting} was introduced by Curt Olson\index{Olson, Curt} in spring 2001. Finally, a completely new set of \Index{scenery} files for the whole world was created by William Riley\index{Riley, William} based on preparatory documentation by David Megginson\index{Megginson, David} in summer 2002. This is based on a data set called VMap0\index{VMap0 data} as an alternative to the \Index{GSHHS data} used so far. This scenery is a big improvement as it has world wide coverage of main streets, rivers, etc., while it's downside are much less accurate coast lines. \FlightGear{}'s base scenery is based on these new scenery files since summer 2002.
}{}
\iflanguage{french}{
\item Les sc\`{e}nes\index{sc\`{e}nes} ont ensuite \'{e}t\'{e} am\'{e}lior\'{e}es par l'ajout de \Index{fonctionnalit\'{e}es g\'{e}ographiques} comme les lacs, les rivi\`{e}res et, par la suite, les traits de c\^{o}te. Les textures des pistes ont \'{e}t\'{e} ajout\'{e}es par Dave Cornish\index{Cornish, Dave} au printemps 2001. Les textures de lumi\`{e}re\index{textures de lumi\`{e}re} s'ajoutent \`{a} l'impression visuelle la nuit. Pour faire face \`{a} la croissance constante des donn\'{e}es de sc\`{e}ne, un format binaire des sc\`{e}nes a \'{e}t\'{e} introduit au printemps 2001. L'\'{e}clairage des pistes\index{\'{e}clairage des pistes} a \'{e}t\'{e} introduit par Curt Olson\index{Olson, Curt} au printemps 2001. Enfin, un nouvel ensemble de fichiers de donn\'{e}es de \Index{sc\`{e}nes} pour le monde entier a \'{e}t\'{e} cr\'{e}\'{e} par William Riley\index{Riley, William} en se basant sur un travail de documentation pr\'{e}alable de David Megginson\index{Megginson, David} \`{a} l'\'{e}t\'{e} 2002. Il repose sur un ensemble de donn\'{e}es appel\'{e} VMap0\index{donn\'{e}es VMap0}, comme alternative aux \Index{donn\'{e}es GSHHS} utilis\'{e}es jusqu'alors. Ces donn\'{e}es sont une grande am\'{e}lioration car elles offrent une couverture mondiale des rues principales, rivi\`{e}res, etc., au d\'{e}triment d'un trait de c\^{o}te moins pr\'{e}cis. Les sc\`{e}nes de base de \FlightGear{} s'appuient sur ces nouvelles donn\'{e}es depuis l'\'{e}t\'{e} 2002.
}{}
 \medskip

\iflanguage{english}{
\item There was support added for \Index{static objects} to the scenery in 2001, which permits placing buildings, static planes, trees and so on in the scenery.
\item The world is populated with \Index{random ground objects} with appropriate type and density for the local ground cover type since summer 2002. This marks
a major improvement of reality and is mainly thanks to work by D. Megginson\index{Megginson, David}.
\item Today, the effort is still going on, with the use of Terrasync, the tool for on-the-fly scenery download, the powerful mapserver and scenemodels infrastructure
laying behind, as well as webforms enabling to quickly add or update objects. Scenery generation tools have been updated in order to use more accurate data such as the
8.50 apt.dat format, as well as external data such as OpenStreetMap, when the licence is adequate.
}{}
\iflanguage{french}{
\item La prise en charge des \Index{objets statiques} a \'{e}t\'{e} impl\'{e}men't\'{e}e dans les sc\`{e}nes en 2001, ce qui a permis d'ajouter, entres autres, des immeubles, des avions statiques, des arbres, dans les sc\`{e}nes.
\item Le monde est couvert d'\Index{objets al\'{e}atoires au sol} de densit\'{e} et de type appropri\'{e}s avec le type d'occupation du sol depuis l'\'{e}t\'{e} 2002. Ceci marque une am\'{e}lioration majeure dans le r\'{e}alisme, et est principalement \`{a} attribuer au travail de D. Megginson\index{Megginson, David}.
\item Aujourd'hui, l'effort se poursuit, avec l'utilisation de Terrasync, l'outil de t\'{e}l\'echargement des sc\`{e}nes \`{a} la vol\'{e}e, l'infrastructure puissante
de cartographie ''mapserver'' et notre base de donn\'{e}es ''scenemodels'', des formulaires web permettant l'ajout et la mise \`{a} jour rapide d'objets. Les outils de
g\'{e}n\'{e}ration des sc\`{e}nes ont \'{e}t\'{e} am\'{e}lior\'{e}s pour utiliser des donn\'{e}es plus pr\'{e}cises, comme le format de donn\'{e}es 8.50 d'apt.dat,
ainsi que les donn\'{e}es externes comme OpenStreetMap, lorsque leur licence le permettra.
}{}

\end{itemize}

%%%%%%%%%%%%%%%%%%%%%%%%%Aircraft%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\subsection{Aircraft}\index{history!aircraft}
\begin{itemize}
\item A \Index{HUD} (\Index{head up display}) was added based on code
 provided by Michele America\index{America, Michele} and Charlie Hotch\-kiss\index{Hotchkiss, Charlie} in the fall of 1997 and was improved later by Norman Vine. While not generally available for real \Index{Cessna 172}, the HUD conveniently reports the actual flight performance of the simulation and may be of further use in military jets later.
 \item A rudimentary \Index{autopilot} implementing heading hold was
contributed by Jeff Goeke-Smith\index{Goeke-Smith, Jeff} in April 1998. It was improved
by the addition of an altitude hold and a terrain following switch in October 1998 and
further developed by Norman Vine\index{Vine, Norman} later.
\item Friedemann Reinhard \index{Reinhard, Friedemann} developed early \Index{instrument panel} code, which was added in June 1998. Unfortunately, development of that panel slowed down later. Finally, David Megginson \index{Megginson, David} decided to rebuild the panel code from scratch in January 2000. This led to a rapid addition of new instruments and features to the panel, resulting in nearly all main instruments being included until spring 2001. A handy minipanel was added in summer 2001.
\item Finally, \Index{LaRCsim}s \Index{Navion} was replaced as the default aircraft
 when the \Index{Cessna 172} was stable enough in February 2000 - a move most users will welcome. There are now several \Index{flight model} and airplane options to choose from at runtime. Jon Berndt\index{Berndt, Jon, S.} has invested a lot of time in a more
realistic and versatile flight model with a more powerful aircraft configuration method.
\JSBSim, as it has come to be called, did replace LaRCsim as the default
\Index{flight dynamics model} (\Index{FDM}), and it is planned to include such features as fuel slosh effects, turbulence, complete flight control systems, and other features not often found
all together in a flight simulator. As an alternative, Andy Ross\index{Ross, Andy} added another flight dynamics model called \YASim{} (Yet Another Flight Dynamics Simulator) which aims at simplicity of use and is based on fluid dynamics, by the end of 2001. This one bought us flight models for a 747, an A4, and a DC-3. Alternatively, a group around Michael Selig\index{Selig, Michael} from the \Index{UIUC} group provided another flight model along with several planes since around 2000.
\item A fully operational \Index{radio stack} and working radios were added to the panel by Curt Olson\index{Olson, Curt} in spring 2000. A huge database of Navaids contributed by Robin
Peel\index{Peel, Robin} allows IFR navigation since then. There was basic \Index{ATC} support added in fall 2001 by David Luff\index{Luff, David}. This is not yet fully implemented, but displaying \Index{ATIS messages} is already possible. A \Index{magneto switch} with proper functions was added at the end of 2001 by John Check\index{Check, John} and David Megginson\index{Megginson, David}. Moreover, several panels were continually improved during 2001 and 2002 by John and others. \FlightGear{} now allows flying ILS approaches and features a \Index{Bendix transponder}.
\item In 2002 functional \Index{multi-engine support} found its way into \FlightGear{}. \JSBSim{} is now the default FDM in \FlightGear{}.
\item Support of `'true'' \Index{3D panels} became stable via contributions from John Check\index{Check, John} and others in spring 2002. In addition, we got movable control surfaces\index{control surface, movable} like propellers etc., thanks to David Megginson.\index{Megginson, David}
\end{itemize}
}{}

\iflanguage{french}{
\subsection{A\'{e}ronefs}\index{histoire!a\'{e}ronefs}
\begin{itemize}
\item Un collimateur t\^{e}te haute (ou \Index{HUD}, \Index{head up display}) a \'{e}t\'{e} ajout\'{e} en se basant sur du code
 fourni par Michele America\index{America, Michele} et Charlie Hotch\-kiss\index{Hotchkiss, Charlie} \`{a} l'automne 1997 et a \'{e}t\'{e} par
 la suite am\'{e}lior\'{e} par Norman Vine. Bien que n'\'{e}tant pas g\'{e}n\'{e}ralement disponible pour le v\'{e}ritable
 \Index{Cessna 172}, le HUD rend compte de mani\`{e}re pratique de la performance en vol actuelle de la simulation et peut-\^{e}tre
 d'utilit\'{e} compl\'{e}mentaire sur des a\'{e}ronefs militaires par la suite.
 \item Un \Index{pilote automatique} rudimentaire impl\'{e}mentant le maintien de cap a \'{e}t\'{e} propos\'{e} par
 Jeff Goeke-Smith\index{Goeke-Smith, Jeff} en avril 1998. Il a \'{e}t\'{e} am\'{e}lior\'{e} par l'ajout d'un maintien d'altitude
 et d'un interrupteur de suivi de terrain en octobre 1998 et d\'{e}velopp\'{e} par la suite par Norman Vine\index{Vine, Norman}.
\item Friedemann Reinhard \index{Reinhard, Friedemann} a d\'{e}velopp\'{e} un code de prise en charge pour \Index{tableau d'instruments},
 qui a \'{e}t\'{e} ajout\'{e} en juin 1998. Malheureusement, le d\'{e}veloppement de ce panneau a ralenti par la suite. Enfin,
 David Megginson \index{Megginson, David} d\'{e}cida de reconstruire le code du paneau \`{a} partir de z\'{e}ro en janvier 2000.
 Ceci conduit \`{a} des ajouts rapides de nouveaux instruments et de nouvelles fonctionnalit\'{e}s au tableau, avec comme r\'{e}sultats
 l'ajout de pratiquement tous les principaux instruments jusqu'au printemps 2001. Un petit tableau bien pratique a \'{e}t\'{e} ajout\'{e}
 \`{a} l'\'{e}t\'{e} 2001.
\item Enfin, le \Index{Navion} de \Index{LaRCsim} fut remplac\'{e} comme avion par d\'{e}faut lorsque le \Index{Cessna 172} devint suffisamment
 stable en f\'{e}vrier 2000 - un changement que la plupart des utilisateurs appr\'{e}cia. Il y a dor\'{e}navant plusieurs \Index{mod\`{e}les de vol} et
 options d'a\'{e}ronefs qui peuvent \^{e}tre s\'{e}lectionn\'{e}s au d\'{e}marrage. Jon Berndt\index{Berndt, Jon, S.} a investi beaucoup de
 son temps dans un mod\`{e}le de vol plus r\'{e}alistique et verstatile, avec une m\'{e}thode de configuration des a\'{e}ronefs plus puissante.
\JSBSim, comme il fut appel\'{e} par la suite, rempla\c{c}a LaRCsim comme \Index{mod\`{e}le de dynamique de vol} (\Index{FDM}) par d\'{e}faut,
 et il est pr\'{e}vu d'ajouter des fonctionnalit\'{e}s comme les effets d\^{u}s de car\`{e}ne dus au carburant, la turbulence, des syst\`{e}mes complets de contr\^{o}le du vol,
 et d'autres fonctionnalit\'{e}s g\'{e}n\'{e}ralement non pr\'{e}sentes ensembles dans un simulateur de vol. Comme alternative,
 Andy Ross\index{Ross, Andy} ajouta un autre mod\`{e}le de dynamique de vol appel\'{e} \YASim{} (Yet Another Flight Dynamics Simulator, encore
 un autre simulateur de dynamique de vol), qui a pour but de pouvoir \^{e}tre utilis\'{e} faciliment, en s'appuyant sur la dynamique des fluides, fin 2001.
 Il nous permit d'obtenir des mod\`{e}les de vol pour un 747, un A4 et un DC-3. Alternativement, un groupe form\'{e} autour de
 Michael Selig\index{Selig, Michael} du group \Index{UIUC} fournit un autre mod\`{e}le de vol avec d'autres a\'{e}ronefs autour de l'ann\'{e}e 2000.
\item Une \Index{pile radio} compl\`{e}te et fonctionnalle fut ajout\'{e}e au tableau par Curt Olson\index{Olson, Curt} au printemps 2000. Une base de donn\'{e}es volumineuse comprenant
 les aides radio\'{e}lectriques pour la navigation fut fournie par Robin Peel\index{Peel, Robin} et permet, depuis, la navigation IFR.
 Une prise en charge basique du contr\^{o}le a\'{e}rien \Index{ATC} fut ajout\'{e}e \`{a} l'automne 2001 par David Luff\index{Luff, David}. Il n'est toujours pas compl\'{e}tement impl\'{e}ment\'{e},
 mais l'affichage des \Index{messages ATIS} est d\'{e}j\`{a} possible. Un \Index{commutateur magn\'{e}to} avec des fonctions qui lui sont
 propres a \'{e}t\'{e} ajout\'{e} \`{a} la fin de l'ann\'{e}e 2001 par John Check\index{Check, John} et David Megginson \index{Megginson, David}. De plus, plusieurs tableaux de bord ont \'{e}t\'{e}
 am\'{e}lior\'{e}s durant les ann\'{e}es 2001 et 2002 par John et d'autres. \FlightGear{} permet aujourd'hui d'effectuer des approches ILS et offre un \Index{transpondeur Bendix}.
\item En 2002, une \Index{prise en charge multimoteurs} fut \'{e}galement int\'{e}gr\'{e}e \`{a} \FlightGear{}. \JSBSim{} est dor\'{e}navant le FDM par d\'{e}faut dans \FlightGear{}.
\item La prise en charge de `'v\'{e}ritables'' \Index{tableaux de bord 3D} devint stable gr\^{a}ce aux contributions de John Check\index{Check, John} et d'autres au printemps 2002.
 En compl\'{e}ment, nous avons alors obtenu des surfaces de contr\^{o}le mobiles \index{surface de contr\^{o}le, mobile} comme les
 propulseurs, etc., gr\^{a}ce \`{a} David Megginson.\index{Megginson, David}
\end{itemize}
}{}

%%%%%%%%%%%%%%%%%%%%%%%%%Environment%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iflanguage{english}{
\subsection{Environment}\index{history!environment}
\begin{itemize}
\item The display of sun, moon and stars have been a weak point for PC flight simulators
 for a long time. It is one of the great achievements of \FlightGear{} to include accurate modeling and display of sun, moon, and planets very early. The corresponding \Index{astronomy code} was implemented in fall 1997 by Durk Talsma\index{Talsma, Durk}.
\item Christian Mayer, \index{Mayer, Christian}  together with Durk Talsma,\index{Talsma, Durk}
contributed weather code in the winter of 1999. This included \Index{clouds}, \Index{winds}, and even \Index{thunderstorms}.
\end{itemize}
}{}

\iflanguage{french}{
\subsection{Environnement}\index{histoire!environnement}
\begin{itemize}
\item L'affichage du soleil, de la lune et des \'{e}toiles a \'{e}t\'{e} pendant longtemps un point faible des simulateurs de vol pour PC.
Une des grandes r\'{e}ussites de \FlightGear{} a \'{e}t\'{e} d'inclure une mod\'{e}lisation et un affichage du soleil, de la lune
et des plan\`{e}tes de mani\`{e}re tr\`{e}s anticip\'{e}e. Le \Index{code astronomique} correspondant a \'{e}t\'{e} impl\'{e}ment\'{e}
\`{a} l'automne 1997 par Durk Talsma\index{Talsma, Durk}. \item Christian Mayer, \index{Mayer, Christian} avec Durk Talsma,\index{Talsma, Durk}
a contribu\'{e} au code m\'{e}t\'{e}orologique durant l'hiver 1999. Ce qui comprenait les \Index{nuages}, \Index{vents}, et m\^{e}me
les \Index{orages}.
\end{itemize}
}{}

%%%%%%%%%%%%%%%%%%%%%%%%%User Interface%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{User Interface}\index{history!user interface}
\begin{itemize}
\item The foundation for a menu system\index{menu} was laid based on another library,
 the Portable Library \PLIB\index{PLIB}, in June 1998. After having been idle for a time, the first working menu entries came to life in spring 1999.

  \PLIB{} underwent rapid development later. It has been distributed as a separate package by
  Steve Baker\index{Baker, Steve} with a much broader range of applications in mind, since spring 1999. It  has provided the basic graphics rendering engine for \FlightGear{} since fall 1999.
\item In 1998 there was basic \Index{audio support}, i.\,e\. an audio library
and some basic background engine sound. This was later integrated into the
above-mentioned portable library, \PLIB\index{PLIB}. This same library was extended to
support joystick/yoke/rudder\index{joystick} in October 1999, again marking a huge step
in terms of realism. To adapt on different joystick, configuration options were
introduced in fall 2000. Joystick support was further improved by adding a self detection\index{joystick/self detection} feature based on xml joystick files, by David Megginson\index{Megginson, David} in summer 2002.
\item Networking/multiplayer\index{networking code}\index{multiplayer code}
 code has been integrated by Oliver Delise \index{Delise, Oliver} and Curt
Olson\index{Olson, Curt} starting fall 1999. This effort is aimed at enabling
\FlightGear{}  to run concurrently on several machines over a \Index{network}, either an Intranet or the \Index{Internet}, coupling it to a \Index{flight planner} running on a second
machine, and more. There emerged several approaches for remotely controlling \FlightGear{} over a Network during 2001. Notably there was added support for the ``Atlas''\index{Atlas} moving map program. Besides, an embedded \Index{HTTP server} developed by Curt Olson\index{Olson, Curt} late in 2001 can now act a \Index{property manager} for external programs.
\item Manually changing \Index{views} in a flight simulator is in a sense always ``unreal'' but
nonetheless required in certain situations. A possible solution was supplied by Norman
Vine\index{Vine, Norman} in the winter of 1999 by implementing code for changing views
using the mouse. Alternatively, you can use a hat switch for this purpose, today.
\item A \Index{property manager} was implemented by David Megginson\index{Megginson, David} in
fall 2000. It allows parsing a file called \texttt{.fgfsrc}\index{.fgfsrc} under
UNIX/Linux and \texttt{system.fgfsrc}\index{system.fgfsrc} under Windows for input
options. This plain ASCII file has proven useful in submitting the growing number of
input options, and notably the \Index{joystick settings}. This has shown to be a useful
concept, and joystick, keyboard, and panel settings are no longer hard coded but set
using *.xml files since spring 2001 thanks to work mainly by David Megginson and John
Check.\index{Check, John}
\end{itemize}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End List of Development %%%%%%%%%%%%%%%%%%%%%%%%%

During development there were several code reorganization efforts. Various code
subsystems were moved into packages. As a result, code is organized as follows at present:
\medskip

The base of the graphics engine is \textbf{\Index{OpenGL}}, a platform independent
graphics library. Based on \Index{OpenGL}, the Portable Library \PLIB{}\index{PLIB}
provides basic rendering, audio, joystick etc\. routines. Based on \PLIB\index{PLIB} is
\SimGear{}\index{SimGear}, which includes all of the basic routines required for the
flight simulator as well as for building scenery. On top of \SimGear{}\index{SimGear}
there are (i) \FlightGear{}\index{FlightGear} (the simulator itself), and (ii)
\TerraGear{}\index{TerraGear}, which comprises the scenery building tools.

This is by no means an exhaustive history and most likely some people who have made
important contributions have been left out. Besides the above-named contributions there
was a lot of work done concerning the internal structure by: Jon S. Berndt\index{Berndt,
Jon, S.}, Oliver Delise, \index{Delise, Oliver} Christian Mayer, \index{Mayer, Christian}
Curt Olson,\index{Olson, Curt} Tony Peden, \index{Peden, Tony} Gary R. Van
Sickle\index{van Sickle, Gary, R.}, Norman Vine\index{Vine, Norman}, and others. A more
comprehensive list of contributors can be found in Chapter~\ref{landing} as well as in
the \texttt{Thanks} file provided with the code. Also, the \FlightGear{}
Website\index{FlightGear Website} contains a detailed history worth reading of all of the
notable development milestones at
 \medskip

 \web{http://www.flightgear.org/version.html}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Those, who did the work}\index{contributors}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Did you enjoy the flight? In case you did, don't forget those who devoted hundreds of
hours to that project. All of this work is done on a voluntary basis within spare time,
thus bare with the \Index{programmers} in case something does not work the way you want
it to. Instead, sit down and write them a kind (!) mail proposing what to change.
Alternatively, you can subscribe to the \FlightGear{} \Index{mailing lists} and
contribute your thoughts there. Instructions to do so can be found at
 \medskip

 \web{http://www.flightgear.org/mail.html}.
  \medskip

\noindent
 Essentially there are two lists, one of which being mainly for the developers
and the other one for end users. Besides, there is a very low-traffic list for
announcements.
\medskip

 \noindent
The following names the people who did the job (this information was essentially taken
from the file \texttt{Thanks} accompanying the code).
 \medskip

\noindent \textbf{A1 Free Sounds}\index{A1 Free Sounds}\\
   Granted permission for the \FlightGear{} project to use some of the sound effects from their
   site. Homepage under
   \medskip

   \href{http://www.a1freesoundeffects.com/}{http://www.a1freesoundeffects.com/}
   \medskip

\noindent \textbf{Syd Adams}\index{Adams, Syd}\\
  Added clipping for 2D instruments, ATC volume control and created a wide variety of aircraft.
 \medskip

\noindent \textbf{Raul Alonzo}\index{Alonzo, Raul}\\
   Mr. Alonzo is the
 author of Ssystem and provided his kind permission for using the moon texture.
 Parts of his code were used as a template when adding the texture.
  Ssystem Homepage can be found at:
   \medskip

  \href{http://www1.las.es/~amil/ssystem/}{http://www1.las.es/\~{}amil/ssystem/}.
 \medskip

 \noindent \textbf{Michele America}\index{America, Michele}\\
  Contributed to the \Index{HUD} code.
 \medskip

\noindent \textbf{Michael Basler}\index{Basler, Michael}\\
 Author of Installation and Getting Started. Flight Simulation Page at
  \medskip

 \web{http://www.geocities.com/pmb.geo/flusi.htm}
\medskip

\noindent \textbf{Jon S. Berndt}\index{Berndt, Jon, S.}\\
 Working on a complete C++ rewrite/reimplimentation of the core \Index{FDM}.
  Initially he is using X15 data to test his code, but once things are
  all in place we should be able to simulate arbitrary aircraft. Jon
  maintains a page dealing with Flight Dynamics at:
   \medskip

  \href{http://jsbsim.sourceforge.net/}{http://jsbsim.sourceforge.net/}
   \medskip

\noindent
  Special attention to X15 is paid in separate pages on this site. Besides, Jon
  contributed via a lot of suggestions/corrections to this Guide.
\medskip

\noindent \textbf{Paul Bleisch}\index{Bleisch, Paul}\\
  Redid the debug system so that it would be much more
  flexible, so it could be easily disabled for production system, and
  so that messages for certain subsystems could be selectively
  enabled. Also contributed a first stab at a config file/command line parsing
  system.
 \medskip


\noindent \textbf{Jim Brennan}\index{Brennan, Jim}\\
  Provided a big chunk of online space to store USA scenery for \FlightGear{}$!$.
 \medskip

\noindent \textbf{Bernie Bright}\index{Bright, Bernie}\\
  Many C++ style, usage, and implementation improvements, STL
  portability and much, much more.
  Added threading support and a threaded tile pager.
 \medskip

\noindent \textbf{Stuart Buchanan}\index{Buchanan, Stuart}\\
 Updated various parts of the manual, wrote the initial tutorial subsystem, developed
 random vegetation and buildings.
 \medskip

\noindent \textbf{Bernhard H. Buckel}\index{Buckel, Bernhard}\\
  Contributed the README.Linux.  Contributed several sections to earlier versions of
 Installation and Getting Started.
 \medskip

\noindent \textbf{Gene Buckle}\index{Buckle, Gene}\\
  A lot of work getting \FlightGear{} to compile with the \Index{MSVC}++
  compiler. Numerous hints on detailed improvements.
 \medskip


\noindent \textbf{Ralph Carmichael}\index{Carmichael, Ralph}\\
  Support of the project. The Public Domain Aeronautical Software web site at
\medskip

\href{http://www.pdas.com/}{http://www.pdas.com/}
 \medskip

 \noindent
 has the PDAS CD-ROM for sale containing great programs for astronautical engineers.

\noindent \textbf{Didier Chauveau}\index{Chauveau, Didier}\\
  Provided some initial code to parse the 30 arcsec DEM files found at:
   \medskip

  \href{http://edcwww.cr.usgs.gov/landdaac/gtopo30/gtopo30.html}{http://edcwww.cr.usgs.gov/landdaac/gtopo30/gtopo30.html}.
 \medskip

\noindent \textbf{John Check}\index{Check, John}\\
 John maintains the base package CVS repository. He contributed cloud textures, wrote an excellent Joystick Howto as well as a panel Howto. Moreover, he contributed new instrument panel configurations. \FlightGear{}
 page at
 \medskip

 \href{http://www.rockfish.net/fg/}{http://www.rockfish.net/fg/}.
 \medskip

\noindent \textbf{Dave Cornish}\index{Cornish, Dave}\\
 Dave created new cool runway textures plus some of our cloud textures.
 \medskip

\noindent \textbf{Oliver Delise} \index{Delise, Oliver}\\
 Started a FAQ, Documentation, Public relations. Working on adding some
  networking/multi-user code.\index{networking code} Founder of the FlightGear MultiPilot
\medskip

\noindent \textbf{Jean-Francois Doue}\index{Doue, Jean-Francois}\\
  Vector 2D, 3D, 4D and Matrix 3D and 4D inlined C++ classes.  (Based on
  Graphics Gems IV, Ed. Paul S. Heckbert)
  \medskip

\href{http://www.animats.com/simpleppp/ftp/public_html/topics/developers.html}{http://www.animats.com/simpleppp/ftp/public\_html/topics/developers.html}.
 \medskip

\noindent \textbf{Dave Eberly} \index{Eberly, Dave}\\
  Contributed some sphere interpolation code used by Christian Mayer's
  weather data base system.
  \medskip

\noindent \textbf{Francine Evans}\index{Evans, Francine}\\
  Wrote the GPL'd tri-striper we use.
  \medskip

\href{http://www.cs.sunysb.edu/~stripe/}{http://www.cs.sunysb.edu/\~{}stripe/}
\medskip

\noindent \textbf{Oscar Everitt}\index{Everitt, Oscar}\\
  Created single engine piston engine sounds as part of an F4U package
  for \Index{FS98}.  They are pretty cool and Oscar was happy to contribute
  them to our little project.
 \medskip

\noindent \textbf{Bruce Finney}\index{Finney, Bruce}\\
  Contributed patches for MSVC5 compatibility.
 \medskip

\noindent \textbf{Olaf Flebbe}\index{Flebbe, Olaf}\\
  Improved the build system for Windows and provided pre-built dependencies.
 \medskip

\noindent \textbf{Melchior Franz}\index{Franz, Melchior}\\
  Contributed joystick hat support, a LED font, improvements of the telnet and the http interface. Notable effort in hunting memory leaks in \FlightGear{}, \SimGear{}, and \JSBSim{}.
  \medskip

\noindent \textbf{Jean-loup Gailly}\index{Gailly, Jean-loup} and \textbf{Mark Adler}\index{Adler, Mark}\\
  Authors of the \Index{zlib library}.  Used for on-the-fly compression and
  decompression routines,

  \href{http://www.gzip.org/zlib/}{http://www.gzip.org/zlib/}.
 \medskip

\noindent \textbf{Mohit Garg}\index{Garg, Mohit}\\
 Contributed to the manual.
 \medskip

\noindent \textbf{Thomas Gellekum}\index{Gellekum, Thomas}\\
  Changes and updates for compiling on \Index{FreeBSD}.
 \medskip

\noindent \textbf{Neetha Girish}\index{Girish, Neetha}\\
  Contributed the changes for the xml configurable HUD.
 \medskip

\noindent \textbf{Jeff Goeke-Smith}\index{Goeke-Smith, Jeff}\\
  Contributed our first \Index{autopilot} (Heading Hold).
  Better autoconf check for external timezone/daylight variables.
 \medskip

\noindent \textbf{Michael I. Gold}\index{Gold, Michael, I.}\\
 Patiently answered questions on \Index{OpenGL}.
 \medskip

\noindent \textbf{Habibe}\index{Habibe}\\
 Made RedHat package building changes for SimGear.
 \medskip

\noindent \textbf{Mike Hill}\index{Hill, Mike}\\
 For allowing us to concert and use his wonderful planes, available form
 \medskip

 \web{http://www.flightsimnetwork.com/mikehill/home.htm},

 \noindent
 for \FlightGear{}.
 \medskip

\noindent \textbf{Erik Hofman}\index{Hofman, Erik}\\
  Major overhaul and parameterization of the sound module to allow
  aircraft-specific sound configuration at runtime.
  Contributed SGI IRIX support (including binaries) and some really great
  textures.
 \medskip

\noindent \textbf{Charlie Hotchkiss}\index{Hotchkiss, Charlie}\\
Worked on improving and enhancing the \Index{HUD} code.
Lots of code style tips and code tweaks.
 \medskip

\noindent \textbf{Bruce Jackson}\index{Jackson, Bruce} (NASA)\\
   Developed the \Index{LaRCsim} code under funding by NASA which we use to provide the
   flight model. Bruce has patiently answered many, many questions.
  \medskip

\noindent \textbf{Maik Justus}\index{Justus, Maik} \\
  Added helicopter support, gear/ground interaction and aerotow/winch support
  to the YASim FDM.
  \medskip

\noindent \textbf{Ove Kaaven} \index{Kaaven, Ove}\\
 Contributed the Debian binary.
 \medskip

\noindent \textbf{Richard Kaszeta} \index{Kaszeta, Richard}\\
  Contributed screen buffer to ppm screen shot routine.
  Also helped in the early development of the "altitude
  hold autopilot module"\index{autopilot} by teaching Curt Olson the basics of Control Theory
  and helping him code and debug early versions. Curt's \'Boss\' Bob Hain
  also contributed to that.  Further details available at:
 \medskip

  \href{http://www.menet.umn.edu/~curt/fgfs/Docs/Autopilot/AltitudeHold/AltitudeHold.html}{http://www.menet.umn.edu/\~{}curt/fgfs/Docs/Autopilot/AltitudeHold/AltitudeHold.html}.
  \medskip

\noindent
  Rich's Homepage is at
  \medskip

  \href{http://www.kaszeta.org/rich/}{http://www.kaszeta.org/rich/}.
  \medskip

\noindent \textbf{Tom Knienieder}\index{Knienieder, Tom}\\
  Ported the audio library\index{audio library} first to OpenBSD and IRIX and after that to Win32.
 \medskip

\noindent \textbf{Reto Koradi}\index{Koradi, Reto}\\
  Helped with setting up \Index{fog effects}.
 \medskip

\noindent \textbf{Bob Kuehne}\index{Kuehne, Bob}\\
  Redid the Makefile system so it is simpler and more robust.
 \medskip

\noindent \textbf{Kyler B Laird}\index{Laird, Kyler B.}\\
 Contributed corrections to the manual.
 \medskip

\noindent \textbf{David Luff}\index{Luff, David}\\
 Contributed heavily to the IO360 piston engine model.
 \medskip

\noindent \textbf{Sam van der Mac}\index{van der Mac, Sam}\\
 Contributed to The Manual by translating HTML tutorials to Latex.
 \medskip

\noindent \textbf{Christian Mayer}\index{Mayer, Christian}\\
 Working on \Index{multi-lingual conversion tools} for fgfs as a demonstration of technology.
 Contributed code to read Microsoft Flight Simulator scenery textures. Christian is working on a completely new \Index{weather} subsystem.
 Donated a \Index{hot air balloon} to the project.
 \medskip

\noindent \textbf{David Megginson}\index{Megginson, David}\\
  Contributed patches to allow mouse input to control view direction yoke.
  Contributed financially towards hard drive space for use by the
  flight gear project. Updates to README.running.
  Working on getting fgfs and ssg to work without textures.
  Also added the new 2-D panel and the save/load support.
  Further, he developed new \Index{panel} code, playing better with OpenGL, with new features.
  Developed the property manager and contributed to joystick support.
  Random ground cover objects
 \medskip

 \medskip

\noindent \textbf{Cameron Moore}\index{Moore, Cameron}\\
 FAQ maintainer. Reigning list administrator. Provided man pages.
 \medskip

\noindent \textbf{Eric Mitchell}\index{Mitchell, Eric}\\
  Contributed some topnotch scenery \Index{textures} being all original creations by him.
 \medskip

\noindent \textbf{Anders Morken}\index{Morken, Anders}\\
  Former maintainer of European web pages.
  \medskip

\noindent \textbf{Alan Murta}\index{Murta, Alan}\\
  Created the Generic Polygon Clipping library.
 \medskip

  \web{http://www.cs.man.ac.uk/aig/staff/alan/software/}
   \medskip

\noindent \textbf{Phil Nelson}\index{Nelson, Phil}\\
  Author of GNU dbm, a set of database routines that use extendible hashing and work
  similar to the standard UNIX dbm routines.
  \medskip

\noindent \textbf{Alexei Novikov}\index{Novikov, Alexei}\\
  Created European Scenery. Contributed a script to turn fgfs scenery into beautifully rendered
  2-D maps. Wrote a first draft of a Scenery Creation Howto.
  \medskip

\noindent \textbf{Curt Olson}\index{Olson, Curt}\\
 Primary organization of the project.\\
 First implementation and modifications based on \Index{LaRCsim}.\\
 Besides putting together all the pieces provided by others mainly concentrating on the \Index{scenery subsystem} as well as the graphics stuff. Homepage at

 \href{http://www.menet.umn.edu/~curt/}{http://www.menet.umn.edu/\~{}curt/}
 \medskip

\noindent \textbf{Brian Paul}\index{Paul, Brian}\\
 We made use of his TR library and of course of Mesa:

 \web{http://www.mesa3d.org/brianp/TR.html}, \web{http://www.mesa3d.org}
 \medskip

\noindent \textbf{Tony Peden}\index{Peden, Tony}\\
  Contributions on flight model development, including a LaRCsim based
  Cessna 172. Contributed to  {\JSBSim} the initial conditions code, a more complete
  standard atmosphere model, and other bugfixes/additions.
  \medskip


\noindent \textbf{Robin Peel}\index{Peel, Robin}\\
  Maintains worldwide airport and runway database for \FlightGear{} as well as X-Plane.
 \medskip

\noindent \textbf{Alex Perry}\index{Perry, Alex}\\
 Contributed code to more accurately model VSI, DG, Altitude.
 Suggestions for improvements of the layout of the simulator on the mailing list
 and help on documentation.
 \medskip

\noindent \textbf{Friedemann Reinhard}\index{Reinhard, Friedemann}\\
  Development of an early textured instrument \Index{panel}.
 \medskip

\noindent \textbf{Petter Reinholdtsen}\index{Reinholdtsen, Petter}\\
  Incorporated the GNU automake/autoconf system (with libtool).
  This should streamline and standardize the build process for all
  UNIX-like platforms.  It should have little effect on IDE type
  environments since they don't use the UNIX make system.
 \medskip

\noindent \textbf{William Riley}\index{Riley, William}\\
  Contributed code to add ''\Index{brakes}''. Also wrote a patch to support a first  joystick with more than 2 axis. Did the job to create scenery based on VMap0 data.
 \medskip

\noindent \textbf{Andy Ross}\index{Ross, Andy}\\
 Contributed a new configurable FDM called \YASim{} (Yet Another Flight Dynamics Simulator, based on geometry information rather than aerodynamic coefficients.
 \medskip

\noindent \textbf{Paul Schlyter}\index{Schlyter, Paul}\\
  Provided Durk Talsma with all the information he needed to write the
  astro code. Mr. Schlyter is also willing to answer astro-related questions
  whenever one needs to.
  \medskip

  \href{http://www.welcome.to/pausch/}{http://www.welcome.to/pausch/}
 \medskip

\noindent \textbf{Chris Schoeneman}\index{Schoenemann, Chris}\\
  Contributed ideas on audio support.
 \medskip

\noindent \textbf{Phil Schubert}\index{Schubert, Phil}\\
  Contributed various textures and engine modeling.
   \medskip

  \href{http://www.zedley.com/Philip/}{http://www.zedley.com/Philip/}.
  \medskip

 \noindent \textbf{Jonathan R. Shewchuk}\index{Shewchuk, Jonathan}\\
  Author of the Triangle\index{triangle program} program.  Triangle
  is used to calculate the  Delauney triangulation of our irregular terrain.
 \medskip

\noindent \textbf{Gordan Sikic}\index{Sikic, Gordan}\\
  Contributed a \Index{Cherokee flight model} for \Index{LaRCsim}.  Currently is not
  working and needs to be debugged.  Use configure
  \texttt{-$ $-with-flight-model=cherokee}
  to build the cherokee instead of the \Index{Cessna}.
 \medskip

\noindent \textbf{Michael Smith}\index{Smith, Michael}\\
  Contributed cockpit graphics, 3D models, logos, and other images.
  Project Bonanza
   \medskip

\noindent \textbf{Martin Spott}\index{Spott, Martin}\\
  Co-Author of The Manual.
  \medskip

\noindent \textbf{Jon Stockill}\index{Stockill, Jon}\\
  Maintains a database of objects and their location to populate the worldwide scenery.
\medskip

\noindent \textbf{Durk Talsma}\index{Talsma, Durk}\\
  Accurate Sun, Moon, and Planets.  Sun changes color based on
  position in sky. Moon has correct phase and blends well into the
  sky.  Planets are correctly positioned and have proper magnitude. Help with time
  functions, GUI, and other things. Contributed 2-D cloud layer.\index{clouds} Website
  at
   \medskip

 \href{http://people.a2000.nl/dtals/}{http://people.a2000.nl/dtals/}.
 \medskip

\noindent \textbf{UIUC}\index{UIUC} - Department of Aeronautical and Astronautical
Engineering\\
  Contributed modifications to LaRCsim to allow loading of aircraft
  parameters from a file.  These modifications were made as part of an
  icing research project.
  \medskip

  Those did the coding and made it all work:\\
      Jeff Scott\\
      Bipin Sehgal\\
      Michael Selig
  \medskip

  Moreover, those helped to support the effort:\\
      Jay Thomas\\
      Eunice Lee\\
      Elizabeth Rendon\\
      Sudhi Uppuluri
  \medskip


\noindent
 \textbf{\Index{U.\,S. Geological Survey}}
  \medskip

  Provided geographic data used by this project.
 \medskip

\href{http://edc.usgs.gov/geodata/}{http://edc.usgs.gov/geodata/}
 \medskip

\noindent \textbf{Mark Vallevand}\index{Vallevand, Mark}\\
  Contributed some METAR parsing code and some win32 screen printing routines.
\medskip

\noindent \textbf{Gary R. Van Sickle}\index{van Sickle, Gary, R.}\\
  Contributed some initial \Index{GameGLUT} support and other fixes. Has done
  preliminary work on a binary file format. Check
  \medskip

 \href{http://www.woodsoup.org/projs/ORKiD/fgfs.htm}{http://www.woodsoup.org/projs/ORKiD/fgfs.htm}.
 \medskip

\noindent
  His \'Cygwin Tips\' page might be helpful for you at
  \medskip



   \href{http://www.woodsoup.org/projs/ORKiD/cygwin.htm}{http://www.woodsoup.org/projs/ORKiD/cygwin.htm}.
  \medskip

\noindent \textbf{Norman Vine}\index{Vine, Norman}\\
  Provided more numerous URL's to the ``FlightGear Community''.
  Many performance optimizations throughout the code.  Many contributions
  and much advice for the scenery generation section.  Lots of Windows
  related contributions. Contributed wgs84 distance and course routines.
  Contributed a great circle route autopilot mode based on wgs84 routines.
  Many other GUI, HUD and autopilot contributions.  Patch to allow mouse input to control view direction. Ultra hires tiled screen dumps. Contributed the initial \'goto airport\' and \'reset\' functions and the initial http image server code
\medskip

\noindent \textbf{Roland Voegtli}\index{Voegtli, Roland}\\
 Contributed great photorealistic textures.   Founder of European Scenery Project for
 X-Plane:
 \medskip

  \href{http://www.g-point.com/xpcity/esp/}{http://www.g-point.com/xpcity/esp/}
\medskip


\noindent \textbf{Carmelo Volpe}\index{Volpe, Carmelo}\\
  Porting \FlightGear{} to the \Index{Metro Works} development environment
  (PC/Mac).
 \medskip

\noindent \textbf{Darrell Walisser}\index{Walisser, Darrell}\\
 Contributed a large number of changes to porting \FlightGear{} to the Metro Works development environment (PC/Mac). Finally produced the first Macintosh port. Contributed to the Mac part of Getting Started, too.
\medskip

\noindent \textbf{Ed Williams}\index{Williams, Ed}\\
  Contributed magnetic variation code (impliments Nima WMM 2000).
  We've also borrowed from Ed's wonderful aviation formulary at various
  times as well. Website at
  \medskip
  \href{http://williams.best.vwh.net/}{http://williams.best.vwh.net/}.
 \medskip


\noindent \textbf{Jim Wilson}\index{Wilson, Jim}\\
 Wrote a major overhaul of the viewer code to make it more flexible and modular. Contributed many small fixes and bug reports. Contributed to the PUI property browser and to the autopilot.
 \medskip

 \noindent \textbf{Jean-Claude Wippler}\index{Wippler, Jean-Claude}\\
  Author of \Index{MetaKit} - a portable, embeddible database with a
  portable data file format previously used in \FlightGear{}. Please
  see the following URL for more info:
 \medskip

  \href{http://www.equi4.com/metakit/}{http://www.equi4.com/metakit/}
  \medskip

\noindent \textbf{Woodsoup Project}\index{Woodsoup}\\

  While \FlightGear{} no longer uses Woodsoup servies we appreciate the
  support provided to our project during the time they hosted us. Once they
  provided computing resources and services so that the \FlightGear{} project
  could have a real home.

\href{http://www.woodsoup.org/}{http://www.woodsoup.org/}
  \medskip

\noindent \textbf{Robert Allan Zeh}\index{Zeh, Allan}\\
  Helped tremendously in figuring out the \Index{Cygnus} Win32 compiler and
  how to link with \.dll's.  Without him the first run-able Win32
  version of \FlightGear{} would have been impossible.
  \medskip

\noindent \textbf{Others}\index{Others}\index{Scenery Database}\\
The following individuals have contributed to the scenery object database:
   Jon Stockill, Martin Spott, Dave Martin, Thomas Foerster, Chris Metzler, Frederic
   Bouvier, Melchior Franz, Roberto Inzerillo, Erik Hofman, Mike Round,
   Innis Cunningham, David Megginson, Stuart Buchanan, Josh Babcock,
   Esa Hyytia, Mircea Lutic, Jens Thoms Toerring, Mark Akermann,
   Torsten Dreyer, Martin C. Doege, Alexis Bory, Sebastian Bechtold,
   Julien Pierru, Bertrand Augras, Gerard Robin, Jakub Skibinski,
   Morten Oesterlund Joergensen, Carsten Vogel, Dominique Lemesre,
   Daniel Leygnat, Bertrand Gilot, Morten Skyt Eriksen, Alex
   Bamesreiter, Oliver Predelli, Georg Vollnhals, and Paul Richter.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{What remains to be done}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

If you read (and, maybe, followed) this guide up to this point you may probably agree: \FlightGear{}\, even in its present state, is not at all for the birds. It is
already a flight simulator which sports even several selectable flight models, several planes with panels and even a HUD, terrain scenery, texturing, all the basic controls and weather.

Despite, \FlightGear{} needs -- and gets -- further development. Except internal tweaks,
there are several fields where \FlightGear{} needs basics improvement and development. A
first direction is adding \Index{airport}s, buildings, and more of those things bringing
scenery to real life and belonging to realistic airports and cities. Another task is further
implementation of the \Index{menu system}, which should not be too hard with the basics
being working now. A lot of options at present set via command line or even during
compile time should finally make it into menu entries. Finally, \FlightGear{} lacks any
\Index{ATC} until now.

There are already people working in all of these directions. If you're a programmer and
think you can contribute, you are invited to do so.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection*{Achnowledgements}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Obviously this document could not have been written without all those contributors
mentioned above making \FlightGear{} a reality.

First, I was very glad to see Martin Spott \index{Spott, Martin} entering
the documentation effort. Martin provided not only several updates and
contributions (notably in the OpenGL section) on the Linux side of the
project but also several general ideas on the documentation in general.

Besides, I would like to say special thanks to Curt Olson,\index{Olson, Curt} whose
numerous scattered Readmes, Thanks, Webpages, and personal eMails were of special help to
me and were freely exploited in the making of this booklet.

Next, Bernhard Buckel \index{Buckel, Bernhard} wrote several sections of early versions
of that Guide and contributed at lot of ideas to it.

Jon S. Berndt \index{Berndt, Jon, S.} supported me by critical proofreading of several
versions of the document, pointing out inconsistences and suggesting improvements.

Moreover, I gained a lot of help and support from Norman Vine\index{Vine, Norman}. Maybe,
without Norman's answers I would have never been able to tame different versions of the
\Cygwin{} -- \FlightGear{} couple.

We were glad, our Mac expert Darrell Walisser \index{Walisser, Darrell} contributed the section on compiling under Mac OS X. In addition he submitted several Mac related hints and fixes.

Further contributions and donations on special points came from John Check,\index{Check,
John} (general layout), Oliver Delise \index{Delise, Oliver} (several suggestions
including notes on that chapter), Mohit Garg \index{Garg, Mohit} (OpenGL), Kyler B. Laird
\index{Laird, Kyler B.} (corrections), Alex Perry\index{Perry, Alex} (OpenGL), Kai
Troester\index{Troester, Kai} (compile problems), Dave Perry \index{Perry, Dave} (joystick support), and Michael Selig\index{Selig, Michael} (UIUC models).

Besides those whose names got lost withing the last-minute-trouble we'd
like to express our gratitude to the following people for contributing
valuable `bug fixes' to this version of The FlightGear Manual (in
random order): Cameron Moore,\index{Moore, Cameron} Melchior
Franz,\index{Franz, Melchior} David Megginson,\index{Megginson, David}
Jon Berndt,\index{Berndt, Jon} Alex Perry,\index{Perry, Alex}, Dave
Perry,\index{Perry, Dave} Andy Ross,\index{Ross, Andy} Erik
Hofman\index{Hofman, Erik}, and Julian Foad\index{Foad, Julian}.

%% Revision 0.00  1998/09/08  michael
%% Initial revision for version 0.53.
%% Revision 0.01  1998/09/20  michael
%% several extensions and corrections
%% revision 0.10  1998/10/01  michael
%% final proofreading for release
%% revision 0.11  1998/11/01  michael
%% corrections on audio library, getting started
%% revision 0.12  1999/03/07  michael
%% Updated Credits
%% revision 0.20  1999/06/04  michael
%% added O. Delise, Ch. Mayer, R. Peel, R. Voegtli, several updates
%% revision 0.3 2000/03/01 michael
%% Supplemented to Jon Berndt, Oliver Delise, Christian Mayer, Durk Talsma
%% Norman Vine
%% Added David Meggison
%% Revised Acknowledgements
%% Several additions suggested and collected by Oliver Delise
%% revision 0.4 2001/05/12 michael
%% added several people entering the game during the last year
%% changed countless mail addresses
%% revision 0.5 2002/01/01 michael
%% update on history during the last year
%% added new people entering the game
%% revision 0.6 2002/09/09 michael
%% reorganized history section for better readability
%% added progress for versions 0.7.10 & 0.8
%% removed outdated Navion picture
